import { defineComponent as c, toRefs as a, openBlock as u, createElementBlock as p, createElementVNode as o, createVNode as n, unref as t } from "vue";
import e from "../../../NComponents/configCommon/refConfig.vue_vue_type_script_setup_true_lang.mjs";
const d = { class: "room_yulan" }, g = { class: "yulan_now" }, m = { class: "bq" }, h = { class: "now_txt" }, C = { class: "now_nume" }, y = c({ name: "EComponent03" }), E = /* @__PURE__ */ c({
  ...y,
  props: {
    chartConfig: {
      type: Object,
      required: !0
    }
  },
  setup(i) {
    const s = i, { valueConfig: _, imageConfig: f, unitConfig: l, titleConfig: r } = a(
      s.chartConfig.option
    );
    return (v, x) => (u(), p("div", d, [
      o("div", g, [
        o("div", m, [
          n(e, {
            config: t(f),
            type: "img"
          }, null, 8, ["config"])
        ]),
        o("div", h, [
          o("div", C, [
            n(e, {
              config: t(_),
              type: "number"
            }, null, 8, ["config"]),
            n(e, {
              config: t(l),
              type: "text"
            }, null, 8, ["config"])
          ]),
          n(e, {
            config: t(r),
            type: "text"
          }, null, 8, ["config"])
        ])
      ])
    ]));
  }
});
export {
  E as default
};
